---
gs_fme_flow_install_addlocal: FMEFlowCore,Services
gs_fme_flow_install_command_extra: >-
  SERVLETTYPE=Apache
  SERVLETPORT={{ gs_tomcat_https_port }}
  WEBAPPSDIR="{{ tomcat_home }}\webapps"
  SHAREDTOMCATLIB="{{ tomcat_home }}\lib"
  WEBSERVERHOSTNAME="{{ ansible_fqdn }}"
  FMESERVERHOSTNAME="{{ ansible_fqdn }}"
gs_fme_flow_keystore_filename: "{{ gs_certificate_alias }}-{{ ansible_hostname }}.keystore"

win_resources:  # tagged , system
  core:
    - name: Python 3.11.0
      type: win_chocolatey
      resources:
        - name: python
          version: 3.11.0
    - name: Manage PIP packages
      type: win_pip
      defaults:
        state: present
        environment:
          Path: 'C:\Python311\;C:\Python311\Scripts;{{ ansible_env.Path }}'
      resources:
        - name: requests
          version: 2.31.0
        - name: pandas
          version: 2.2.2
        - name: openpyxl
          version: 3.1.2

fme_flow_win_resources:  # tagged config, application
  core:
    - name: Manage fmeFlowConfig.txt
      type: win_lineinfile
      defaults:
        path: "{{ fme_flow_home }}/Server/fmeFlowConfig.txt"
        notify: "{{ gs_fme_flow_notify }}"
      resources:
        - regex: "^FME_SERVER_WEB_URL="
          line: FME_SERVER_WEB_URL=https://{{ ansible_fqdn }}:{{ gs_tomcat_https_port }}
        - regex: 'SHAREDRESOURCE_DIR_2='
          line: "SHAREDRESOURCE_DIR_2={{ gs_fme_share[gs_env] }}/resources/data"

fme_flow_services:
  - name: FME Flow Core
    state: "{{ gs_fme_flow_services_state }}"
  - name: "{{ tomcat_service['name'] }}"
    state: "{{ gs_fme_flow_services_state }}"

gs_fme_flow_notify:
  - Restart FME Flow services
  - Wait for WebSocket / 7078

fme_flow_include_role_tomcat:
  role: c2platform.gis.tomcat
  include: true
  service: "{{ tomcat_service['name'] }}"
